%global debug_package %{nil}

Summary: Deriving functions from type declaration in OCaml
Name:    ocaml-deriving-ocsigen
Version: 0.3c
Release: %mkrel 5
Source0: http://ocsigen.org/download/deriving-ocsigen-%{version}.tar.gz
License: MIT
Group:   Development/OCaml
URL:     http://ocsigen.org/
BuildRequires: camlp4
BuildRequires: ocaml-compiler
BuildRequires: ocaml-findlib
BuildRequires: ocaml-type-conv
Requires: ocaml-type-conv
Requires: camlp4


%description 
Camlp4 extension to OCaml for deriving functions from type declarations.
It includes derivers for pretty-printing, type-safe marshalling with
structure-sharing, dynamic typing, equality, and more. This is the version
maintained by the Ocsigen project.



%package devel
Summary: Development files for deriving functions from type declarations
Group:   Development/OCaml
Requires: %{name} = %{version}-%{release}

%description -n %{name}-devel 
The %{name}-devel package contains the headers and native code libraries to
develop applications that use %{name}.


%prep 
%setup -q -n deriving-ocsigen-%{version}

%build
make


%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/deriving-ocsigen
make install

%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/deriving-ocsigen
%{_libdir}/ocaml/deriving-ocsigen/META
%{_libdir}/ocaml/deriving-ocsigen/*.cma
%{_libdir}/ocaml/deriving-ocsigen/*.cmi
%{_libdir}/ocaml/deriving-ocsigen/*.cmxs

%files devel
%{_libdir}/ocaml/deriving-ocsigen/*.a
%{_libdir}/ocaml/deriving-ocsigen/*.cmxa
%{_libdir}/ocaml/deriving-ocsigen/*.cmx
%{_libdir}/ocaml/deriving-ocsigen/*.mli


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.3c-5.mga3
+ Revision: 361287
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 malo <malo> 0.3c-4.mga3
+ Revision: 329901
- change BR to ocaml-compiler

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.3c-3.mga3
+ Revision: 301652
- new rpm group for ocaml
- new rpm group for ocaml

* Thu Mar 01 2012 blue_prawn <blue_prawn> 0.3c-1.mga2
+ Revision: 216330
- update to new version 0.3c

* Thu Feb 23 2012 malo <malo> 0.3b-1.mga2
+ Revision: 212451
- imported package ocaml-deriving-ocsigen

